* {
    box-sizing: border-box;
}

.image-card {
    width: 100%;
}
img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.caption {
    padding: 3px;
    padding-left: 15px;
    position: relative;
    top: -120px;
    left: 0px;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
}

.container {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(600px, 1fr));
    grid-auto-rows: 400px;
    gap: 20px;
}

@media (max-width: 600px)
{
    #container 
    {
        grid-template-columns: 1fr;
    }
}